Subject: bug#65347: 29.1; Underscore in query replace prevents case-matching

From: Stefan Monnier <[email-masked]>
Date: Sat, 19 Aug 2023 10:39:02 -0400

>> Personally (as a user) the functionality I'd prefer is the following:
>> When the matched string does not have the same capitalization as the search
>> pattern, I'd like Emacs to guess what should be the capitalization of
>> the replacement and ask me to confirm its guess.
> This already happens?  M-% shows you the replacement in the exact
> capitalization it will insert, _after_ the guesswork.  And you are
> already requested to confirm each replacement.  So what is missing?

When the guesswork is wrong I find it cumbersome to fix it.
I'd like to be able to edit it right there and that the result
is remembered for the next time the same capitalization is found.

        Stefan